package com.beanpodtech.allinone.bean;

import java.util.List;

public class SelectSubjectBean extends BaseRequestBean {

    private String subjectTitle;
    private String classDes;
    private String customizeString;
    private String totalTime;
    private String everyTime;
    private String coverUrl;

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getSubjectTitle() {
        return subjectTitle;
    }

    public void setSubjectTitle(String subjectTitle) {
        this.subjectTitle = subjectTitle;
    }

    public String getClassDes() {
        return classDes;
    }

    public void setClassDes(String classDes) {
        this.classDes = classDes;
    }

    public String getCustomizeString() {
        return customizeString;
    }

    public void setCustomizeString(String customizeString) {
        this.customizeString = customizeString;
    }

    public String getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(String totalTime) {
        this.totalTime = totalTime;
    }

    public String getEveryTime() {
        return everyTime;
    }

    public void setEveryTime(String everyTime) {
        this.everyTime = everyTime;
    }

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * subjectDes : 高考一轮复习基础打的牢是关键，根扎的越深，叶才能越茂盛。通过暑期→秋季→寒假的系列课程帮你体系构建，知识点模块化教学，一步讲透，延伸拓展。先知识点讲解，再将各点串联成线，当将线连成网时就是收获之时。每科54节基础课程，高度凝结高考一轮备考核心内容，升华备考方案，耐心攀登，终可顶峰。
         * subjectTitle : 体系构建
         * teacherList : [{"teacherName":"讲师2","teacherAvatar":null,"teacherType":"数学"},{"teacherName":"讲师2","teacherAvatar":null,"teacherType":"化学"}]
         * subjectList : [{"subjectName":"暑期启航","subjectId":"5"},{"subjectName":"秋季强化","subjectId":"6"},{"subjectName":"寒假领航","subjectId":"7"}]
         */

        private String subjectDes;
        private String subjectTitle;
        private List<TeacherListBean> teacherList;
        private List<SubjectListBean> subjectList;

        public String getSubjectDes() {
            return subjectDes;
        }

        public void setSubjectDes(String subjectDes) {
            this.subjectDes = subjectDes;
        }

        public String getSubjectTitle() {
            return subjectTitle;
        }

        public void setSubjectTitle(String subjectTitle) {
            this.subjectTitle = subjectTitle;
        }

        public List<TeacherListBean> getTeacherList() {
            return teacherList;
        }

        public void setTeacherList(List<TeacherListBean> teacherList) {
            this.teacherList = teacherList;
        }

        public List<SubjectListBean> getSubjectList() {
            return subjectList;
        }

        public void setSubjectList(List<SubjectListBean> subjectList) {
            this.subjectList = subjectList;
        }

        public static class TeacherListBean {
            /**
             * teacherName : 讲师2
             * teacherAvatar : null
             * teacherType : 数学
             */
            private String teacherId;
            private String teacherName;
            private String teacherAvatar;
            private String teacherType;

            public String getTeacherId() {
                return teacherId;
            }

            public void setTeacherId(String teacherId) {
                this.teacherId = teacherId;
            }

            public String getTeacherName() {
                return teacherName;
            }

            public void setTeacherName(String teacherName) {
                this.teacherName = teacherName;
            }

            public String getTeacherAvatar() {
                return teacherAvatar;
            }

            public void setTeacherAvatar(String teacherAvatar) {
                this.teacherAvatar = teacherAvatar;
            }

            public String getTeacherType() {
                return teacherType;
            }

            public void setTeacherType(String teacherType) {
                this.teacherType = teacherType;
            }
        }

        public static class SubjectListBean {
            /**
             * subjectName : 暑期启航
             * subjectId : 5
             */

            private String subjectName;
            private String subjectId;

            public String getSubjectName() {
                return subjectName;
            }

            public void setSubjectName(String subjectName) {
                this.subjectName = subjectName;
            }

            public String getSubjectId() {
                return subjectId;
            }

            public void setSubjectId(String subjectId) {
                this.subjectId = subjectId;
            }
        }
    }
}
